## org.apache.batik.swing.gvt
Interface GVTTreeRendererListener

All Known Implementing Classes:
  GVTTreeRendererAdapter, JGVTComponent.Listener, JSVGViewerFrame

public interface GVTTreeRendererListener

This interface represents a listener to the GVTTreeRendererEvent events.

Method Summary
`void` `gvtRenderingCancelled(GVTTreeRendererEvent e)` Called when a rendering was cancelled.
`void` `gvtRenderingCompleted(GVTTreeRendererEvent e)` Called when a rendering was completed.
`void` `gvtRenderingFailed(GVTTreeRendererEvent e)` Called when a rendering failed.
`void` `gvtRenderingPrepare(GVTTreeRendererEvent e)` Called when a rendering is in its preparing phase.
`void` `gvtRenderingStarted(GVTTreeRendererEvent e)` Called when a rendering started.

Method Detail

### gvtRenderingPrepare

    public void gvtRenderingPrepare(GVTTreeRendererEvent e)

  Called when a rendering is in its preparing phase.

### gvtRenderingStarted

    public void gvtRenderingStarted(GVTTreeRendererEvent e)

  Called when a rendering started.

### gvtRenderingCompleted

    public void gvtRenderingCompleted(GVTTreeRendererEvent e)

  Called when a rendering was completed.

### gvtRenderingCancelled

    public void gvtRenderingCancelled(GVTTreeRendererEvent e)

  Called when a rendering was cancelled.

### gvtRenderingFailed

    public void gvtRenderingFailed(GVTTreeRendererEvent e)

  Called when a rendering failed.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.